
def ifd_automation_scaffold
  if File.exists?(@features_dir)
    puts 'There is already cucumber directory. Please move existing cucumber directory to carry on '
    exit 1
  end
  # msg("Question") do
  #   puts "I'm about to create a subdirectory called features."
  #   puts "features will contain all your project tests."
  #   puts "Please hit return to confirm that's what you want."
  # end
  # exit 2 unless STDIN.gets.chomp == ''

  FileUtils.cp_r(@source_dir, @features_dir)

  msg('Info') do
    puts "INFOdation Automation is creating 'cucumber' framework. Please have a look which files are being created\n"
  end
  msg('Gemfile') do
    puts "INFOdation Automation created Gemfile containing all required Gems\n"
  end
  msg('cucumber.yml') do
    puts "INFOdation Automation created cucumber.yml file with profiles of all needed configurations\n"
  end
  msg('README.md') do
    puts "INFOdation Automation created README.md file with template usage\n"
  end
  msg('Info') do
    puts "All Config files created. \n"
  end

end
