###Ifd_Automation gem
Ifd_Automation is an open-source tool for automating GUI, RESTful, SOAP, Database and eMail. 
Importantly, Ifd_Automation is cross-platform, it allows you to write tests against multiple platforms (Linux, Windows, MacOS) on multiple browsers (chrome, firefox ...) using the same API. 

###Getting Started
These instructions will get you a copy of the project up and running on your local machine for testing purposes. See deployment for notes on how to install Ifd_Automation gem
###Prerequisites
- Ruby: 2.3+ 
###Installing
`$ gem install Ifd_Automation`
System automatically fetch all relate automation libraries after install Ifd_Automation gem
###Setup
`$ Ifd_Automation gen`
This command help to create a set folder structure which followed the format of BDD Cucumber and Ifd_Automation.
The folder structure will be like this: 
![](https://github.com/anhpham2710/automation/blob/master/Ifd_Automation_structure.jpg?raw=true)

###Structure folder format
- Screenshot folder
Once your scenario failed, the screen will be captured and saved to this folder

- TestData folder
By default, the steps which relate to test data will be read/created from this folder.
	- globalData.yml file ( This file will store all your global data as parameter, in order to use param value, just use the format **params='params_name' ** in your steps.

-  TestSuite folder 
Place to store user's feature files.

-  pre-defined-steps folder 
All available steps from framework

- Step_definitions folder
	- lib_steps
		- actionword.rb
		- steps.rb
		two file help to create user custom steps
	- repositories 
		- project_object.yml (all web objects will store in this file)
	- support
		- env.rb
		- hook.rb
		
###Usage
####Available steps
