class ITMS
    def getServerStatus(server_url)
      require 'net/http'
      uri = URI("#{server_url}/status")
      begin
        res = Net::HTTP.get_response(uri)
        rescue SocketError
          puts "❌ ERROR: Network connectivity issue"
          exit(1)
        rescue Errno::ECONNREFUSED => e
          puts "❌ ERROR: The server is down."
          puts "❌ ERROR: #{e.message}"
          exit(1)
        rescue Timeout::Error => e
          puts "❌ ERROR: Timeout error occurred."
          puts "❌ ERROR: #{e.message}"
          exit(1)
          # Retry a few times and fail with timeout error message
      end
    end

end
